Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.actions
Class ToolsPrefs

    java.lang.Object
      com.eviware.soapui.actions.ToolsPrefs

All Implemented Interfaces:
  Prefs

    public class ToolsPrefs

extends java.lang.Object
implements Prefs

Preferences class for ToolsSettings

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `ANT`
`static java.lang.String` | `AXIS_1_X`
`static java.lang.String` | `AXIS_2`
`static java.lang.String` | `CXF`
`static java.lang.String` | `DOTNET`
`static java.lang.String` | `GSOAP`
`static java.lang.String` | `JAVAC`
`static java.lang.String` | `JAXB`
`static java.lang.String` | `LIBRARIES`
`static java.lang.String` | `TCPMON`
`static java.lang.String` | `WSA`
`static java.lang.String` | `WSCOMPILE`
`static java.lang.String` | `WSIMPORT`
`static java.lang.String` | `WSTOOLS`
`static java.lang.String` | `XFIRE`
`static java.lang.String` | `XMLBEANS`

Constructor Summary
`ToolsPrefs(java.lang.String title)`

Method Summary
`java.lang.String[][]` | `getEclipseTools()` Get the tools to be displayed in the Eclipse plugin.
`SimpleForm` | `getForm()`
`void` | `getFormValues(Settings settings)`
`java.lang.String` | `getTitle()`
`StringToStringMap` | `getValues(Settings settings)`
`void` | `setFormValues(Settings settings)`
`void` | `storeValues(StringToStringMap values, Settings settings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AXIS_1_X

    public static final java.lang.String AXIS_1_X

See Also:
  Constant Field Values

### WSCOMPILE

    public static final java.lang.String WSCOMPILE

See Also:
  Constant Field Values

### WSIMPORT

    public static final java.lang.String WSIMPORT

See Also:
  Constant Field Values

### AXIS_2

    public static final java.lang.String AXIS_2

See Also:
  Constant Field Values

### WSTOOLS

    public static final java.lang.String WSTOOLS

See Also:
  Constant Field Values

### JAVAC

    public static final java.lang.String JAVAC

See Also:
  Constant Field Values

### DOTNET

    public static final java.lang.String DOTNET

See Also:
  Constant Field Values

### XFIRE

    public static final java.lang.String XFIRE

See Also:
  Constant Field Values

### CXF

    public static final java.lang.String CXF

See Also:
  Constant Field Values

### GSOAP

    public static final java.lang.String GSOAP

See Also:
  Constant Field Values

### ANT

    public static final java.lang.String ANT

See Also:
  Constant Field Values

### XMLBEANS

    public static final java.lang.String XMLBEANS

See Also:
  Constant Field Values

### JAXB

    public static final java.lang.String JAXB

See Also:
  Constant Field Values

### TCPMON

    public static final java.lang.String TCPMON

See Also:
  Constant Field Values

### WSA

    public static final java.lang.String WSA

See Also:
  Constant Field Values

### LIBRARIES

    public static final java.lang.String LIBRARIES

See Also:
  Constant Field Values

Constructor Detail

### ToolsPrefs

    public ToolsPrefs(java.lang.String title)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Prefs`

### getEclipseTools

    public java.lang.String[][] getEclipseTools()

  Get the tools to be displayed in the Eclipse plugin.

  Returns:

### getForm

    public SimpleForm getForm()

  Specified by:
    `getForm` in interface `Prefs`

### getFormValues

    public void getFormValues(Settings settings)

  Specified by:
    `getFormValues` in interface `Prefs`

### storeValues

    public void storeValues(StringToStringMap values,
                            Settings settings)

  Specified by:
    `storeValues` in interface `Prefs`

### setFormValues

    public void setFormValues(Settings settings)

  Specified by:
    `setFormValues` in interface `Prefs`

### getValues

    public StringToStringMap getValues(Settings settings)

  Specified by:
    `getValues` in interface `Prefs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.